%define name    namt
%define version 2.5.6
%define release csa7

Summary:    Nor-Amberd Muon Telescope Driver
Name:       %{name}
Version:    %{version}
Release:    %{release}
Copyright:  GPL
Group:	    Drivers
Distribution:	DarkLin
Vendor:		DarkSoft
Packager:	Kain <ds7fff@myrealbox.com>
Source0:     %{name}-%{version}.tar.bz2
BuildRoot:  /var/tmp/%{name}-%{version}-root

%description
Data Aquisition Software for Fujitsu MB91F364 based Multidirectional Muon Telescope
operating in Nor-Amberd, Armenia.

%package client
Summary:	Nor-Amberd Muon Telescope Client
Group:		Drivers

%description client
Ncurses client to monitor current state of Data Acquisition System.
    
%prep
%setup

%build
cd DrvServer
make
cd ../Client
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
mkdir -p $RPM_BUILD_ROOT/etc/cron.hourly
mkdir -p $RPM_BUILD_ROOT/var/ftp/pub

install -m 755 DrvServer/namt-srv $RPM_BUILD_ROOT/usr/bin
install -m 755 DrvServer/namt-reset $RPM_BUILD_ROOT/usr/bin
install -m 755 Client/namt-simple $RPM_BUILD_ROOT/usr/bin
install -m 644 namt.cfg $RPM_BUILD_ROOT/etc
install -m 755 namt.cron $RPM_BUILD_ROOT/etc/cron.hourly/namt
install -m 755 namt.init $RPM_BUILD_ROOT/etc/rc.d/init.d/namt

%post
if [ $1 = 1 ]; then
    if [ -f %{_sysconfdir}/rc.d/init.d/namt ]; then
	%{_sysconfdir}/rc.d/init.d/namt start
    fi
    chkconfig --add namt
    chkconfig --level 2345 namt on
else
    if [ -f %{_sysconfdir}/rc.d/init.d/namt ]; then
	%{_sysconfdir}/rc.d/init.d/namt restart
    fi
fi

%preun
if [ $1 = 0 ]; then
    if [ -f %{_sysconfdir}/rc.d/init.d/namt ]; then
	%{_sysconfdir}/rc.d/init.d/namt stop
    fi
    chkconfig --del namt
fi


%clean
rm -rf $RPM_BUILD_ROOT

%files
%config(noreplace) /etc/namt.cfg
/usr/bin/namt-srv
/usr/bin/namt-reset
/etc/rc.d/init.d/namt
/etc/cron.hourly/namt
%dir /var/ftp/pub

%files client
/usr/bin/namt-simple
